Skip to main content
GET
/
v1
/
metrics
/
transaction-fee-med-usd
Transaction Fee Med Usd
curl --request GET \
  --url https://api.blockworks.com/v1/metrics/transaction-fee-med-usd \
  --header 'x-api-key: <api-key>'
{
  "projectName": [
    {
      "date": "2025-08-10",
      "value": 123456.789
    },
    {
      "date": "2025-08-11",
      "value": 234567.89
    },
    {
      "date": "2025-08-12",
      "value": 345678.901
    }
  ]
}

Overview

  • Denomination: USD
  • Type: USD Value
  • Interval: Daily
  • Source: Blockworks

Example Request

curl -H "x-api-key: YOUR_API_KEY" \
  "https://api.blockworks.com/v1/metrics/transaction-fee-med-usd?project=aptos"

Example Response

{
  "aptos": [
    {
      "date": "2026-02-19",
      "value": 0.000014052332472553195
    },
    {
      "date": "2026-02-18",
      "value": 0.000019287611548339045
    },
    {
      "date": "2026-02-17",
      "value": 0.00006532357220284672
    },
    {
      "date": "2026-02-16",
      "value": 0.00004778960112097914
    },
    {
      "date": "2026-02-15",
      "value": 0.000056904714471545264
    }
  ]
}

Notes

  • Intervals are daily unless otherwise noted.
  • Data is updated daily and may be revised after late-arriving data.

Authorizations

x-api-key
string
header
required

Query Parameters

project
enum<string>
required

Project slug (comma-separated for multiple).

Available options:
aptos,
arbitrum,
avalanche,
base,
berachain,
bnb,
celestia,
ethereum,
fogo,
hyperevm,
katana,
megaeth,
monad,
optimism,
plasma,
polygon,
solana,
tron,
unichain,
zcash,
zksync
Example:

"aptos"

start_date
string<date>

Start date (YYYY-MM-DD)

end_date
string<date>

End date (YYYY-MM-DD)

Response

OK

{key}
object[]